> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/kueri-operator-telepon-global.md).

# Kueri Operator Telepon Global

Kueri operator telepon global dengan miliaran catatan, pembaruan tepat waktu, dan akurasi tinggi.

> Contoh:

```bash
curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
```

> Contoh respons untuk permintaan normal

```json
{  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
```

> Contoh respons untuk permintaan yang gagal

```json
{  "status": "FAIL",  "message": "The phone number supplied is not a number."}
```

## Permintaan HTTP

`POST https://api.checknumber.ai/v1/phone`

## Parameter permintaan

| parameter | deskripsi                                             |
| --------- | ----------------------------------------------------- |
| `number`  | `string`, nomor telepon                               |
| `country` | `string`, kode wilayah, misalnya `ID` untuk Indonesia |

## Kode status

| status | deskripsi                                             |
| ------ | ----------------------------------------------------- |
| `OK`   | `free`, berhasil                                      |
| `FAIL` | `free`, gagal; kolom `message` memuat pesan kesalahan |

## Deskripsi kolom nomor telepon

| bidang            | deskripsi                                   |
| ----------------- | ------------------------------------------- |
| country\_code     | kode negara, misalnya `62` untuk Indonesia  |
| national\_number  | nomor panggilan domestik                    |
| is\_valid\_number | nomor valid                                 |
| number\_type      | jenis nomor, `MOBILE`、`FIXED_LINE`          |
| e164              | nomor berformat `e164`                      |
| region\_code      | kode wilayah, misalnya `ID` untuk Indonesia |
| location          | lokasi, *multibahasa*                       |
| time\_zones       | zona waktu                                  |
| carrier           | penyedia layanan, *multibahasa*             |

## Deskripsi jenis nomor telepon

| jenis                  | deskripsi                                                                                                           |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------- |
| `MOBILE`               | telepon seluler                                                                                                     |
| `FIXED_LINE`           | telepon tetap                                                                                                       |
| `FIXED_LINE_OR_MOBILE` | Telepon seluler atau tetap; *di beberapa negara, nomor saja tidak cukup untuk membedakan telepon tetap dan seluler* |
| `SHARED_COST`          | <http://en.wikipedia.org/wiki/Shared_Cost_Service>                                                                  |
| `VOIP`                 | VOIP                                                                                                                |
| `PERSONAL_NUMBER`      | <http://en.wikipedia.org/wiki/Personal_Numbers>                                                                     |
| `UNKNOWN`              | Tidak diketahui                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/kueri-operator-telepon-global.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
